Mailinglist Archive: opensuse (1473 mails)

< Previous Next >
Re: [opensuse] Printermanagement from within YaST....
  • From: Johannes Meixner <jsmeix@xxxxxxx>
  • Date: Wed, 10 Jun 2009 12:26:22 +0200 (CEST)
  • Message-id: <alpine.LNX.2.00.0906101145060.24037@xxxxxxxxxxxxxx>

Hello,

see what I already wrote as reply in your
"smbclient not executable when attaching SMB printer"
mail thread here on this list, in particular read
http://lists.opensuse.org/opensuse/2009-03/msg02021.html

You may like to try out a more up-to-date version for openSUSE 11.2.
Its version number is yast2-printer-2.18.xx

I provide yast2-printer-2.18.xx also for openSUSE 11.1 under
http://download.opensuse.org/repositories/home:/jsmeix/

Read
http://en.opensuse.org/YaST/Development/Printer_Enhancement#Under_construction_for_openSUSE_11.1
before which is also valid for an upgrade with yast2-printer-2.18.xx.


On Jun 9 20:50 Verner Kjærsgaard wrote:
Hi list,

- I'm on openSuSE11.1 and am slightly frustrated with the behaviour of
YaST when (trying) to install a simple USB Brother HL-2040 b/w laserprinter.

The YaST interface reg. printers is in my opinion not intuitive and not
helpfull at all.

I download (from openprinting.org) a fine PPD file to use. I point to it
in YaST which finds it (lets me select it), but hence stubbornly says
"No appropriate driver found" (or so, xlated from Danish).

Read the help text in YaST.

A plain PPD file is useless - you need a driver plus a matching PPD,
except you have a real PostScipt printer - but the HL-2040 looks
really like a "simple" piece of hardware - I assume it even does
not support PCL.

According to
http://www.profv.de/brother/Brother-HL-2040-hl1250.ppd
it uses the Ghostscript driver hl1250 so that it might work
when you select another model which uses this driver.
Just use the search functionality in YaST to find it.
E.g. search for "1250" and you should get
"Brother HL-2060 Foomatic/hl1250"


I try a thousand things in said YaST. Nothing works. This printer cannot
be installed.

Now we have a clear understanding what you actually did
and how it failed for you which helps us a lot to further
improve the design.


So swearingly I give up, I fire up Firefox and goes http://localhost:631
and installs the printer (using the downloaded PPD file). Tests it and
all is rather well.

Back to YaST. It's there, I may now (again, not very intuitive) edit its
settings. It works just fine. Ahem...

One thing more, after printing out a test page, YaST says something
like: "There are used printerfiles that may now be deleted. Should it be
deleted or kept?"

I mean why this question? Why not just delete the thing after printing?
Beats me...

You want that YaST simply deletes whatever existing print jobs
without asking for explicite user confirmation?
It seems you have no idea at all what "multi-user system" means.


I take it, that there are some fine explanations as to why on earth the
YaST interface was changed to dramatically?

I already explained this to you on this list a few month ago.
Read my mail.


Regards
Johannes Meixner
--
SUSE LINUX Products GmbH, Maxfeldstrasse 5, 90409 Nuernberg, Germany
AG Nuernberg, HRB 16746, GF: Markus Rex
< Previous Next >
References